Subject: Re: bug#12852: 24.2; `exit-function' not supported in completion table's metadata alist

From: Stefan Monnier <[email-masked]>
Date: Sun, 11 Nov 2012 10:41:33 -0500

> I am finding myself writing this in order to group related code.

>   (cond
>    ((eq action 'metadata)
>     (make-local-variable 'completion-extra-properties)
>     (setq completion-extra-properties
>           (plist-put 'completion-extra-properties :exit-function
>                      (lambda (comp status)
>                        (when (cadr (assoc (car (last (split-string comp "[.]" t)))
>                                           python-module--completion-table))
>                          (minibuffer-message "package")))))

Hmm.. I don't really understand what this is trying to do.
Can you explain to me what should be the end result?

> Looks like with some change to completion--done we can have this.
> What do you think?

I have the impression that you're subverting exit-function.
I"m not sure yet if it's a neat hack, or if there's a better way to do it,

        Stefan